Wrong data from CSR AmbientWeather weather station

21/11/2021 17:09 - Philippe May

Status: New Start date: 21/11/2021

Priority: Normal Due date:  

Assignee: Giulio Di Anastasio % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

After working on #13258, the rain data for CSR WS in Gisaf should have been updated and show figures of the massive rain pouring

yesterday.

But, the rainfall data is stuck at 0, only for that weather station.

History

#1 - 21/11/2021 17:18 - Philippe May

- Assignee set to Giulio Di Anastasio

I went to the web site https://ambientweather.net/dashboard/86cf01d217ae236c27e3267a625fb07f/graphs and observed a very strange behaviour:

the rainfall has clearly been recorded by the WS, but there's clearly a bug somewhere, as explained below, and supported by the CSV file i

downloaded from the web site.

The rainfall appears in different counters: Hourly Rain, Event Rain, Daily Rain, Weekly Rain, Monthly Rain, Total Rain

Gisaf uses "Total Rain" as it's more consistent since there's no "reset" to consider.

The bug is quite clear: the "Total Rain" counter is stuck at 6000 mm, when other counters work fine.

So that's clearly not a bug in Gisaf but on AmbientWeather side.

Giulio, i think we need to discuss.

#2 - 21/11/2021 17:25 - Philippe May

There's a hint in https://ambientweather.com/mwdownloads/download/link/id/1063/ . Not sure it's exactly for our WS, but it really looks like it.

In the specs, it's written: "Rain volume display: 0-6000mm".

#3 - 21/11/2021 17:33 - Philippe May

A quick query shows that we just reached that limit, the Nov. 19th at 2:05 AM:

avgis=> SELECT time, total_rainfall FROM avsm_misc.weather_station_levels where total_rainfall>5999 order by t

ime asc limit 20;

        time         | total_rainfall 

---------------------+----------------

 2021-11-19 01:50:00 |         5999.2

 2021-11-19 01:50:00 |         5999.2
 2021-11-19 01:50:00 |         5999.2

 2021-11-19 01:55:00 |         5999.5

 2021-11-19 01:55:00 |         5999.5

 2021-11-19 01:55:00 |         5999.5

 2021-11-19 02:00:00 |         5999.7

 2021-11-19 02:00:00 |         5999.7

 2021-11-19 02:00:00 |         5999.7

 2021-11-19 02:05:00 |           6000

 2021-11-19 02:05:00 |           6000

 2021-11-19 02:05:00 |           6000

 2021-11-19 02:10:00 |           6000

 2021-11-19 02:10:00 |           6000

 2021-11-19 02:10:00 |           6000

 2021-11-19 02:15:00 |           6000

 2021-11-19 02:15:00 |           6000

 2021-11-19 02:15:00 |           6000

 2021-11-19 02:20:00 |           6000

 2021-11-19 02:20:00 |           6000

#4 - 21/11/2021 17:40 - Philippe May

It might be possible to reset the WS:

https://help.ambientweather.net/help/how-do-i-reset-total-rain/

https://help.ambientweather.net/help/how-do-i-reset-the-total-rain/

Resetting the total_rain counter on the weather station might allow to use that counter again, but the database and Gisaf need to be adjusted

accordingly. That's unexpected and unfortunate headache, happening in the middle of many others.

So, Giulio: can we meet this week? Tomorrow maybe?

#5 - 22/11/2021 18:51 - Giulio Di Anastasio

Dear Philippe,

Sorry if I did not contact you earlier, but saturday evening our house was entirely flooded with more than 15 cm of water inside, and yesterday we

spent the whole day disposing of the water and trying to get things dry (quite difficult at the moment) and today I was busy with someone else and I

could finally check my email few minutes ago...

Yes, we need to find a solution to the WS problem, probably we need to reset it, anyhow we do have the data stored I think.

I cannot cycle anywhere with the roads being bad, as I cannot risk any further fall: so, if it does not rain we could meet at CSR tomorrow (tuesday)

itself in the morning, let's say at around 10.30. If it rains, then perhaps we can wait, or we can meet at Ami, at around the same time, 10.30.

Would it be feasible for you?

Alternatively, with the same conditions for the rain, we could meet on wednesday morning, either at CSR (no rain) or Ami (rain/bad roads).

Please let me know

Thanks
Giulio

#6 - 03/02/2022 16:31 - Philippe May

Reset just now the rain counter (just pressed the "rain" button for 2 seconds).

As indicated in https://ambientweather.com/faqs/question/view/id/1615/, the counters daily, weekly and monthly are also reset. As it didn't rain this

week or month, it should affect only the total rainfall, which now shows 0 as expected.
